Bug 251578 - autofs apparently unhappy with "auto" filesystem type
autofs apparently unhappy with "auto" filesystem type
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-09 16:51 EDT by Michal Jaegermann
Modified: 2009-01-09 02:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:12:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-08-09 16:51:50 EDT
Description of problem:

On two quite different machines I see that automount is repeatedly
dropping in /var/log/messages entries like this one:

automount[2037]: open_mount: (mount):cannot open mount module auto
(/usr/lib64/autofs/mount_auto.so: cannot open shared object file:
No such file or directory)

AFAICT the reason for that noise is that one or more entries
in /etc/fstab has "auto" in a filesystem field; which is allowed
and can be even very appropriate.  Another possibility is in one
of autofs configuration files I have a line:

cdrom  -fstype=auto,ro,nosuid,nodev,user  :/dev/cdrom

which is precisely what is desired there.

The above does not seem to affect automount operation at all.
At least CDs with an entry like the above are getting automounted
with appropriate file system types (I have around iso9660 and
hfsplus samples).  So it appears that for a "fix" it would be
enough to kill a complaint in this particular case.

Version-Release number of selected component (if applicable):

How reproducible:
all the time
Comment 1 Ian Kent 2007-08-09 23:14:35 EDT
I know about this one.
I haven't got to fixing it yet.
You are correct, it doesn't affect autofs operation.

Comment 2 Michal Jaegermann 2007-11-21 16:04:36 EST
> I know about this one.
> I haven't got to fixing it yet.

I got somewhat impatient with that for assorted reasons.  It appears
that  'ln -s  mount_generic.so mount_auto.so' at least hides the problem.
Do you know of any reasons why this could be harmful?  It seems to
be fine when I tried.
Comment 3 Bug Zapper 2008-04-04 09:34:38 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-11-26 02:40:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-01-09 02:12:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.